import request from '@/utils/request'
// 获取其他页数据
export function getAllCategory(params) {
  return request({
    url: '/api/informationClass/findAllInformationClass',
    method: 'get',
    params
  })
}
// 获取所有类别
export function getAllcategory(params) {
  return request({
    url: '/api/information/findAllInformation',
    method: 'get',
    params
  })
}
// 2、根据名称获取信息分类
export function getNamecategory(param) {
  return request({
    url: '/api/information/findInformationByWrapper',
    method: 'get',
    params:param
  })
}
// 3.新增信息分类
export function addcategory(data) {
  return request({
    url: '/api/information/insertInformation',
    method: 'post',
    data,
  })
}
// 4、修改信息分类
export function editcategory(data) {
  return request({
    url: '/api/information/updateInformation',
    method: 'put',
    data
  })
}
// 删除
export function deletecategory(params) {
  return request({
    url: '/api/information/deleteInformationById',
    method: 'delete',
	params,
  })
}
// 销售人员下拉列表
export function deliverList() {
  return request({
    url: '/api/notice/findAllSalesman',
    method: 'get',
  })
}
// 手动分配
export function manualInfo(data) {
  return request({
    url: '/api/information/insertInformationByHand',
    method: 'post',
    data,
  })
}


